Bug 858761 - x86: CONFIG_RELOCATABLE is not set
x86: CONFIG_RELOCATABLE is not set
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-19 11:52 EDT by Pedro Francisco
Modified: 2012-12-20 10:34 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:34:21 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Francisco 2012-09-19 11:52:33 EDT
Description of problem:
kernel isn't relocatable. feature required for kdump to work.


Version-Release number of selected component (if applicable):
3.5.3-1.fc17.i686.PAE


How reproducible:
always


Steps to Reproduce:
1. $ grep RELOCATABLE /boot/config-3.5.3-1.fc17.i686 
  
Actual results:
# CONFIG_RELOCATABLE is not set

Expected results:
CONFIG_RELOCATABLE=y


Additional info:
It was disabled for 3.3. I believe it can be enabled back on on 3.5 -- though I'm not sure. On http://fedora.12.n6.nabble.com/Crash-kernel-x86-32-BzImage-is-not-relocatable-Can-t-be-used-as-capture-kernel-td4988599.html Josh Boyer-3 said:
«It was disabled for 32-bit kernels in the 3.3 timeframe.  There was a
binutils bug that caused silent kernel corruption on 32-bit relocatable
kernels and the best option at the time was to disable it.

You can probably enable it by removing the CONFIG_RELOCATABLE line in
config-x86-32-generic and rebuilding the kernel.»
Comment 1 Justin M. Forbes 2012-09-26 17:23:43 EDT
Want to test it for us and report back results?
Comment 2 Pedro Francisco 2012-10-09 05:11:24 EDT
It works. It compiles and, after a crash, works.

P.S.: I needed "rpmbuild (...) --without perf" to be able to compile it.
Comment 3 Josh Boyer 2012-10-09 07:47:57 EDT
OK.  I'll look at turning it back on in a bit.
Comment 4 Josh Boyer 2012-10-10 11:19:16 EDT
This is re-enabled with the 3.6.1 build.
Comment 5 Fedora Update System 2012-10-10 11:37:52 EDT
kernel-3.6.1-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/kernel-3.6.1-1.fc17
Comment 6 Fedora Update System 2012-10-10 20:59:02 EDT
Package kernel-3.6.1-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.1-1.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-15855/kernel-3.6.1-1.fc17
then log in and leave karma (feedback).
Comment 7 akshay vyas 2012-10-11 00:45:51 EDT
Fixed in kernel-3.6.1-1.fc17



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 8 Fedora Update System 2012-12-20 10:34:23 EST
kernel-3.6.1-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.